Bug 2957 - rpm-2.5.5 --sign fails with certain PGP pass phrases
rpm-2.5.5 --sign fails with certain PGP pass phrases
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
5.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-21 15:46 EDT by kevinc
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-05-22 08:45:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kevinc 1999-05-21 15:46:28 EDT
I found out why I can't get rpm --sign to work.  My PGP pass
phrase will not pass through RPM intact.  My signature
contains alpha, numbers, and punctuation.

So, I tried different alpha, but the same numbers -- that
works.

Then I tried different alpha, but the same punctuation --
that works.

Then I tried the same numbers and punctuation, but no alpha
-- that works.

Then I tried the same alpha, numbers, and punctuation --
never works regardless of order.

Then I tried the several different alpha combinations, the
same numbers, and the same punctuation -- never works
regardless of order.

Bottom line:    rpm-2.5.5 has a PGP pass phrase bug that
only shows up with certain pass phrases.
Comment 1 Jeff Johnson 1999-05-22 08:45:59 EDT
Rpm uses getpass(3) to read pass phrases and fprintf(..., "%s\n") to
pipe the pass phrase to pgp. Getpass(3) is used almost everywhere
a password is read on a unix system (see "man getpass(3)"). Fprintf
does not interpret any alpha, numeric, or punctuation characters
last I checked. I think it unlikely that rpm is at fault here.

Please reopen this bug and supply some pass phrase that fails if
you still believe that rpm is the culprit.

Note You need to log in before you can comment on or make changes to this bug.